<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.refactoring.IntroduceTargetChooser void showIntroduceTargetChooser(com.intellij.openapi.editor.Editor, java.util.List&lt;? extends T&gt;, java.util.function.Consumer&lt;? super T&gt;, java.lang.String, javax.swing.JComponent, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringActionHandlerOnPsiElement">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings EXTRACT_STATIC_METHOD_AND_PASS_FIELDS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor.ConflictsInTestsException void withIgnoredConflicts(com.intellij.util.ThrowableRunnable&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor java.lang.Runnable getPrepareSuccessfulSwingThreadCallback()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringSettings RENAME_DECLARATION_WHEN_RENAME_FILE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor boolean shouldDisableAccessChecks()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringFactory com.intellij.refactoring.MoveClassesOrPackagesRefactoring createMoveClassesOrPackages(com.intellij.psi.PsiElement[], com.intellij.refactoring.MoveDestination, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.OverrideMethodsProcessor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringUsageCollector">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RenameRefactoring void respectEnabledAutomaticRenames()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringFactory com.intellij.refactoring.ChangeSignatureRefactoring createChangeSignatureProcessor(com.intellij.psi.PsiMethod, boolean, java.lang.String, java.lang.String, com.intellij.psi.PsiType, com.intellij.refactoring.changeSignature.ParameterInfo[], com.intellij.refactoring.changeSignature.ThrownExceptionInfo[], java.util.Set&lt;com.intellij.psi.PsiMethod&gt;, java.util.Set&lt;com.intellij.psi.PsiMethod&gt;, com.intellij.util.Consumer&lt;? super java.util.List&lt;com.intellij.refactoring.changeSignature.ParameterInfo&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringSettings ASK_FOR_RENAME_DECLARATION_WHEN_RENAME_FILE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings INLINE_FIELD_KEEP">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringHelper T prepareOperation(com.intellij.usageView.UsageInfo[], java.util.List&lt;com.intellij.psi.PsiElement&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor com.intellij.refactoring.ConflictsDialogBase prepareConflictsDialog(com.intellij.util.containers.MultiMap&lt;com.intellij.psi.PsiElement,java.lang.String&gt;, com.intellij.usageView.UsageInfo[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.AbstractInplaceIntroduceTest void doTestEscape(java.util.function.Consumer&lt;? super com.intellij.refactoring.introduce.inplace.AbstractInplaceIntroducer&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringCodeVisionSupport">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings INTRODUCE_LOCAL_CREATE_VAR_TYPE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5532.39&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringSettings RENAME_SHOW_AUTOMATIC_RENAMING_DIALOG">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringUsageCollector">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings void setRenameAccessors(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.IntroduceVariableUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringFactory com.intellij.refactoring.RenameRefactoring createRename(com.intellij.psi.PsiElement, java.lang.String, com.intellij.psi.search.SearchScope, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings boolean isToRenameAccessors()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings INLINE_METHOD_KEEP">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings EXTRACT_STATIC_METHOD">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8214.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.IntroduceTargetChooser.MyIntroduceTarget MyIntroduceTarget(T, com.intellij.util.NotNullFunction&lt;com.intellij.psi.PsiElement,com.intellij.openapi.util.TextRange&gt;, com.intellij.util.Function&lt;T,java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.1024.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.IntroduceHandlerBase void invoke(com.intellij.openapi.project.Project, com.intellij.psi.PsiElement, com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringActionHandlerFactory com.intellij.refactoring.RefactoringActionHandlerOnPsiElement&lt;com.intellij.psi.PsiAnonymousClass&gt; createAnonymousToInnerHandler()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringBundle java.util.function.Supplier&lt;java.lang.String&gt; messagePointer(java.lang.String, java.lang.Object[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.ConflictsDialogBase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings boolean isRenameTestMethods()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor boolean processConflicts(com.intellij.openapi.project.Project, com.intellij.util.containers.MultiMap&lt;com.intellij.psi.PsiElement,java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.SkipOverwriteChoice">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringUsageCollector INSTANCE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.ChangeSignatureRefactoring">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactorJBundle java.util.function.Supplier&lt;java.lang.String&gt; messagePointer(java.lang.String, java.lang.Object[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RefactoringUiService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.PreviewableRefactoringActionHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.PackageWrapper com.intellij.psi.PsiDirectory[] getDirectories(com.intellij.psi.search.GlobalSearchScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.MultiFileTestCase void compareResults(com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.LightMultiFileTestCase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings INTRODUCE_CONSTANT_REPLACE_ALL">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.InplaceRefactoringContinuation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RenameRefactoring boolean hasNonCodeUsages()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.RenameRefactoring void respectAllAutomaticRenames()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings RENAME_TEST_METHODS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.IntroduceTargetChooser void showIntroduceTargetChooser(com.intellij.openapi.editor.Editor, java.util.List&lt;T&gt;, com.intellij.openapi.util.Pass&lt;T&gt;, java.lang.String, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.1024.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor void executeEx(com.intellij.usageView.UsageInfo[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor java.util.Set&lt;com.intellij.openapi.module.UnloadedModuleDescription&gt; computeUnloadedModulesFromUseScope(com.intellij.usageView.UsageViewDescriptor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.IntroduceTargetChooser void showIntroduceTargetChooser(com.intellij.openapi.editor.Editor, java.util.List&lt;T&gt;, com.intellij.openapi.util.Pass&lt;? super T&gt;, java.lang.String, javax.swing.JComponent, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.AbstractInplaceIntroduceTest void doTest(java.util.function.Consumer&lt;? super com.intellij.refactoring.introduce.inplace.AbstractInplaceIntroducer&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.AbstractJavaInplaceIntroducer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings RENAME_ACCESSORS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor com.intellij.refactoring.ConflictsDialogBase createConflictsDialog(com.intellij.util.containers.MultiMap&lt;com.intellij.psi.PsiElement,java.lang.String&gt;, com.intellij.usageView.UsageInfo[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.MoveFileTestCase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor void runWithDisabledPreview(com.intellij.util.ThrowableRunnable&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.2014.21&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor BaseRefactoringProcessor(com.intellij.openapi.project.Project, com.intellij.psi.search.SearchScope, java.lang.Runnable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaOverrideMethodsProcessor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaBaseRefactoringSupportProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings GENERATE_ALL_ANNOTATIONS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.BaseRefactoringProcessor myRefactoringScope">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringFactory com.intellij.refactoring.ChangeClassSignatureRefactoring createChangeClassSignatureProcessor(com.intellij.openapi.project.Project, com.intellij.psi.PsiClass, com.intellij.refactoring.changeClassSignature.TypeParameterInfo[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.ChangeClassSignatureRefactoring">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.OptimizeImportsRefactoringHelper java.util.Set&lt;com.intellij.psi.PsiJavaFile&gt; prepareOperation(com.intellij.usageView.UsageInfo[], java.util.List&lt;com.intellij.psi.PsiElement&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.IntroduceTargetChooser void showIntroduceTargetChooser(com.intellij.openapi.editor.Editor, java.util.List&lt;T&gt;, java.util.function.Consumer&lt;? super T&gt;, java.lang.String, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.refactoring.JavaRefactoringSettings void setRenameTestMethods(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
</root>
